package com.casic.missiles.service.system;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.system.DownloadFileRequest;
import com.casic.missiles.dto.system.DownloadListRequest;
import com.casic.missiles.dto.system.DownloadListResponse;
import com.casic.missiles.model.system.SystemFileConfig;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author cz
 * @since 2023-04-03
 */
public interface IDownloadCenterService extends IService<SystemFileConfig> {

    Page<DownloadListResponse> listPage(Page<SystemFileConfig> page, DownloadListRequest request)throws Exception;

    void downloadFileExport(DownloadListRequest request, HttpServletResponse response)  throws Exception;

    ReturnDTO addDownloadFile(SystemFileConfig downloadCenter);

    ReturnDTO updateDownloadFile(SystemFileConfig downloadCenter);

    SystemFileConfig downloadFileDetail(Long id);

    ReturnDTO deleteDownloadFile(Long id);

    ReturnDTO downloadFile(DownloadFileRequest downloadFileRequest);
}
